Subject: Re: [PATCH v3] selftests: net: broadcast_pmtu: Fix false failure from incorrect ping exit code logic

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Mar 2026 07:47:23 -0700

On Fri, 27 Mar 2026 09:27:05 +0800 [email-masked] wrote:
> The broadcast_pmtu.sh test verifies that broadcast route MTU is respected,
> but it uses an incorrect criteria for test success: it relies solely on
> the ping command's exit code, which leads to false failures.
> 
> When the kernel correctly blocks oversized broadcast packets due to the
> configured MTU limit (1500), ping fails to transmit any packets and returns
> exit code 1. The original script interprets this as a test failure, even
> though the kernel is properly enforcing the MTU (the core goal of the test).
> 
> Fix this by checking ping's output for "0 packets transmitted" or
> "message too long" instead of relying on exit code.

Still failing, are you testing this locally before you repost it?
Does it pass for you?
Please do not post another version until someone asks for it.